OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
op::WrapperStructInput Struct Reference

`#include <wrapperStructInput.hpp>`

## Public Member Functions
| WrapperStructInput (const ProducerType producerType=ProducerType::None, const std::string &producerString="", const unsigned long long frameFirst=0, const unsigned long long frameStep=1, const unsigned long long frameLast=std::numeric_limits< unsigned long long >::max(), const bool realTimeProcessing=false, const bool frameFlip=false, const int frameRotate=0, const bool framesRepeat=false, const Point< int > &cameraResolution=Point< int >{-1,-1}, const std::string &cameraParameterPath="models/cameraParameters/", const bool undistortImage=false, const int numberViews=-1)

## Public Attributes
ProducerType | producerType
std::string | producerString
unsigned long long | frameFirst
unsigned long long | frameStep
unsigned long long | frameLast
bool | realTimeProcessing
bool | frameFlip
int | frameRotate
bool | framesRepeat
Point< int > | cameraResolution
std::string | cameraParameterPath
bool | undistortImage
int | numberViews

## Detailed Description

WrapperStructInput: Input (images, video, webcam, etc.) configuration struct. WrapperStructInput allows the user to set up the input frames generator.

## Constructor & Destructor Documentation

op::WrapperStructInput::WrapperStructInput | ( | const ProducerType | producerType = `ProducerType::None`,
|  | const std::string & | producerString = `""`,
|  | const unsigned long long | frameFirst = `0`,
|  | const unsigned long long | frameStep = `1`,
|  | const unsigned long long | frameLast = `std::numeric_limits< unsigned long long >::max()`,
|  | const bool | realTimeProcessing = `false`,
|  | const bool | frameFlip = `false`,
|  | const int | frameRotate = `0`,
|  | const bool | framesRepeat = `false`,
|  | const Point< int > & | cameraResolution = `Point< int >{-1,-1}`,
|  | const std::string & | cameraParameterPath = `"models/cameraParameters/"`,
|  | const bool | undistortImage = `false`,
|  | const int | numberViews = `-1`
| ) |  |

Constructor of the struct. It has the recommended and default values we recommend for each element of the struct. Since all the elements of the struct are public, they can also be manually filled.

## Member Data Documentation

std::string op::WrapperStructInput::cameraParameterPath

Directory path for the camera parameters (intrinsic and extrinsic parameters) or optionally XML file full path (if only 1 view).

Point<int> op::WrapperStructInput::cameraResolution

Camera resolution (only for Webcam and FlirCamera).

unsigned long long op::WrapperStructInput::frameFirst

First image to process. Default: 0.

bool op::WrapperStructInput::frameFlip

Whether to flip (mirror) the image.

unsigned long long op::WrapperStructInput::frameLast

Last image to process. Default: -1 (i.e., process all frames).

int op::WrapperStructInput::frameRotate

Image rotation. Only 4 possible values: 0 (default, no rotation), 90, 180 or 270 degrees

bool op::WrapperStructInput::framesRepeat

Whether to re-open the producer if it reaches the end (e.g., video or image directory after the last frame).

unsigned long long op::WrapperStructInput::frameStep

Step or gap across processed frames. Default: 1 (i.e., process all frames). Example: A value of 5 would mean to process frames 0, 5, 10, etc.

int op::WrapperStructInput::numberViews

Number of camera views. Complementary option for `--image_dir` or `--video` It is -1 for Flir cameras (# cameras detected at runtime), as well as for any other frames source (-1 and 1 are equivalent for those). It could be greater than 1 only for prerecorded produced sources, such as video and image directory.

std::string op::WrapperStructInput::producerString

Path of the producer (image directory path for ImageDirectory, video path for Video, camera index for Webcam and FlirCamera, URL for IPCamera, etc.). Default: "".

ProducerType op::WrapperStructInput::producerType

Desired type of producer (FlirCamera, ImageDirectory, IPCamera, Video, Webcam, None, etc.). Default: ProducerType::None.

bool op::WrapperStructInput::realTimeProcessing

Whether to skip or sleep in order to keep the same FPS as the frames producer.

bool op::WrapperStructInput::undistortImage

Whether to undistort the image given the camera parameters.

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/wrapper/wrapperStructInput.hpp